Bug 175138 - net/mediatomb: typo in startup dependency leads to wrong start order
net/mediatomb: typo in startup dependency leads to wrong start order
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-08 16:40 UTC by papabaer.opensource+freebsd
Modified: 2013-01-29 07:40 UTC (History)
0 users

See Also:


Attachments
file.diff (363 bytes, patch)
2013-01-08 16:40 UTC, papabaer.opensource+freebsd
no flags Details | Diff
mediatomb.in.patch (371 bytes, patch)
2013-01-08 17:32 UTC, papabaer.opensource+freebsd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description papabaer.opensource+freebsd 2013-01-08 16:40:00 UTC
Mediatomb gets started before network is configured. This is caused by a typo in files/mediatomb.in (see patch)

Fix: Change 'DEAMON' to 'DAEMON' in '/usr/local/etc/rc.d/mediatomb'


Patch attached with submission follows:
How-To-Repeat: portsnap update && portsnap extract
Comment 1 papabaer.opensource+freebsd 2013-01-08 17:32:43 UTC
Hello,

attached you will find a corrected patch file.

Best regards,

Matthias Bode
Comment 2 Edwin Groothuis freebsd_committer 2013-01-08 18:52:52 UTC
Maintainer of net/mediatomb,

Please note that PR ports/175138 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/175138

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-01-08 18:52:53 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 leo 2013-01-10 23:25:39 UTC
Thank you!

Please commit.

greets, Leo
Comment 5 Mark Linimon freebsd_committer 2013-01-11 01:57:04 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 6 dfilter freebsd_committer 2013-01-29 07:35:19 UTC
Author: danfe
Date: Tue Jan 29 07:35:10 2013
New Revision: 311153
URL: http://svnweb.freebsd.org/changeset/ports/311153

Log:
  - Fix a typo in rc script
  - Trim Makefile headers while here
  
  PR:	ports/175138

Modified:
  head/net/mediatomb/Makefile
  head/net/mediatomb/files/mediatomb.in

Modified: head/net/mediatomb/Makefile
==============================================================================
--- head/net/mediatomb/Makefile	Tue Jan 29 06:48:28 2013	(r311152)
+++ head/net/mediatomb/Makefile	Tue Jan 29 07:35:10 2013	(r311153)
@@ -1,13 +1,9 @@
-# New ports collection makefile for:	mediatomb
-# Date created:			29 March 2007
-# Whom:					Leonhard Wimmer <leo@mediatomb.cc>
-#
+# Created by: Leonhard Wimmer <leo@mediatomb.cc>
 # $FreeBSD$
-#
 
 PORTNAME=	mediatomb
 PORTVERSION=	0.12.1
-PORTREVISION=	8
+PORTREVISION=	9
 CATEGORIES=	net multimedia
 MASTER_SITES=	SF/${PORTNAME}/MediaTomb/${PORTVERSION}
 

Modified: head/net/mediatomb/files/mediatomb.in
==============================================================================
--- head/net/mediatomb/files/mediatomb.in	Tue Jan 29 06:48:28 2013	(r311152)
+++ head/net/mediatomb/files/mediatomb.in	Tue Jan 29 07:35:10 2013	(r311153)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 # PROVIDE: mediatomb
-# REQUIRE: DEAMON
+# REQUIRE: DAEMON
 # KEYWORD: shutdown
 
 # Define these mediatomb_* variables in one of these files:
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Alexey Dokuchaev freebsd_committer 2013-01-29 07:35:25 UTC
State Changed
From-To: open->closed

Committed with PORTREVISION bump, thanks!